Xerces2 Implementation: Class MutationEventImpl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom.events
Class MutationEventImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.events.EventImpl
            |
            +--org.apache.xerces.dom.events.MutationEventImpl

All Implemented Interfaces:
  org.w3c.dom.events.Event, org.w3c.dom.events.MutationEvent

public class MutationEventImpl
extends EventImpl
implements org.w3c.dom.events.MutationEvent

An implementation of the DOM Level 2 `MutationEvent` interface.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: MutationEventImpl.java 533531 2007-04-29 17:24:58Z mrglavas $

Field Summary
`short` | `attrChange`
`static java.lang.String` | `DOM_ATTR_MODIFIED`
`static java.lang.String` | `DOM_CHARACTER_DATA_MODIFIED`
`static java.lang.String` | `DOM_NODE_INSERTED`
`static java.lang.String` | `DOM_NODE_INSERTED_INTO_DOCUMENT`
`static java.lang.String` | `DOM_NODE_REMOVED`
`static java.lang.String` | `DOM_NODE_REMOVED_FROM_DOCUMENT`
`static java.lang.String` | `DOM_SUBTREE_MODIFIED`

Fields inherited from class org.apache.xerces.dom.events.EventImpl
`bubbles, cancelable, currentTarget, eventPhase, initialized, preventDefault, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.MutationEvent
`ADDITION, MODIFICATION, REMOVAL`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`MutationEventImpl()`

Method Summary
`short` | `getAttrChange()` `attrChange` indicates the type of change which triggered the DOMAttrModified event.
`java.lang.String` | `getAttrName()` `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.
`java.lang.String` | `getNewValue()` `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharacterDataModified events.
`java.lang.String` | `getPrevValue()` `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharacterDataModified events.
`org.w3c.dom.Node` | `getRelatedNode()` `relatedNode` is used to identify a secondary node related to a mutation event.
`void` | `initMutationEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.Node relatedNodeArg, java.lang.String prevValueArg, java.lang.String newValueArg, java.lang.String attrNameArg, short attrChangeArg)` Initialize a mutation event, or overwrite the event's current settings with new values of the parameters.

Methods inherited from class org.apache.xerces.dom.events.EventImpl
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Field Detail

### attrChange

    public short attrChange

### DOM_SUBTREE_MODIFIED

    public static final java.lang.String DOM_SUBTREE_MODIFIED

### DOM_NODE_INSERTED

    public static final java.lang.String DOM_NODE_INSERTED

### DOM_NODE_REMOVED

    public static final java.lang.String DOM_NODE_REMOVED

### DOM_NODE_REMOVED_FROM_DOCUMENT

    public static final java.lang.String DOM_NODE_REMOVED_FROM_DOCUMENT

### DOM_NODE_INSERTED_INTO_DOCUMENT

    public static final java.lang.String DOM_NODE_INSERTED_INTO_DOCUMENT

### DOM_ATTR_MODIFIED

    public static final java.lang.String DOM_ATTR_MODIFIED

### DOM_CHARACTER_DATA_MODIFIED

    public static final java.lang.String DOM_CHARACTER_DATA_MODIFIED

Constructor Detail

### MutationEventImpl

    public MutationEventImpl()

Method Detail

### getAttrName

    public java.lang.String getAttrName()

  Description copied from interface: `org.w3c.dom.events.MutationEvent`
  `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.
  Specified by:
    `getAttrName` in interface `org.w3c.dom.events.MutationEvent`
  Returns:
    the name of the Attr which changed, for DOMAttrModified events. Undefined for others.

### getAttrChange

    public short getAttrChange()

  `attrChange` indicates the type of change which triggered the DOMAttrModified event. The values can be `MODIFICATION` , `ADDITION`, or `REMOVAL`.
  Specified by:
    `getAttrChange` in interface `org.w3c.dom.events.MutationEvent`

### getNewValue

    public java.lang.String getNewValue()

  Description copied from interface: `org.w3c.dom.events.MutationEvent`
  `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharacterDataModified events.
  Specified by:
    `getNewValue` in interface `org.w3c.dom.events.MutationEvent`
  Returns:
    the new string value of the Attr for DOMAttrModified events, or of the CharacterData node for DOMCharDataModifed events. Undefined for others.

### getPrevValue

    public java.lang.String getPrevValue()

  Description copied from interface: `org.w3c.dom.events.MutationEvent`
  `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharacterDataModified events.
  Specified by:
    `getPrevValue` in interface `org.w3c.dom.events.MutationEvent`
  Returns:
    the previous string value of the Attr for DOMAttrModified events, or of the CharacterData node for DOMCharDataModifed events. Undefined for others.

### getRelatedNode

    public org.w3c.dom.Node getRelatedNode()

  Description copied from interface: `org.w3c.dom.events.MutationEvent`
  `relatedNode` is used to identify a secondary node related to a mutation event. For example, if a mutation event is dispatched to a node indicating that its parent has changed, the `relatedNode` is the changed parent. If an event is instead dispatched to a subtree indicating a node was changed within it, the `relatedNode` is the changed node. In the case of the DOMAttrModified event it indicates the `Attr` node which was modified, added, or removed.
  Specified by:
    `getRelatedNode` in interface `org.w3c.dom.events.MutationEvent`
  Returns:
    a Node related to this event, other than the target that the node was dispatched to. For DOMNodeRemoved, it is the node which was removed. No other uses are currently defined.

### initMutationEvent

    public void initMutationEvent(java.lang.String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  org.w3c.dom.Node relatedNodeArg,
                                  java.lang.String prevValueArg,
                                  java.lang.String newValueArg,
                                  java.lang.String attrNameArg,
                                  short attrChangeArg)

  Initialize a mutation event, or overwrite the event's current settings with new values of the parameters.
  Specified by:
    `initMutationEvent` in interface `org.w3c.dom.events.MutationEvent`
  Following copied from interface: `org.w3c.dom.events.MutationEvent`
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `relatedNodeArg` - Specifies the `Event`'s related Node.
    `prevValueArg` - Specifies the `Event`'s `prevValue` attribute. This value may be null.
    `newValueArg` - Specifies the `Event`'s `newValue` attribute. This value may be null.
    `attrNameArg` - Specifies the `Event`'s `attrName` attribute. This value may be null.
    `attrChangeArg` - Specifies the `Event`'s `attrChange` attribute

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.